<template>
	<el-dialog
		title="编辑联系信息"
		:close-on-click-modal="false"
		:close-on-press-escape="false"
		:visible.sync="filter_conf.centerDialogVisible"
		width="50%"
		center
	>
		<el-row>
			<el-form ref="form" :model="form" label-width="7.5rem">
				<el-form-item class="marginBottom10" label="*账户名">
					<el-input v-model="form.BankAccountName" placeholder="请输入账户名"></el-input>
				</el-form-item>
				<el-form-item class="marginBottom10" label="*银行账号">
					<el-input v-model="form.bankAccountNumber" placeholder="请输入银行账号"></el-input>
				</el-form-item>
				<el-form-item class="marginBottom10" label="*开户行及网点">
					<el-input v-model="form.BankName" placeholder="请输入开户行及网点名称"></el-input>
				</el-form-item>
				<el-form-item class="marginBottom10" label="*开户省市">
					<el-cascader
						style="width:100%;"
						expand-trigger="hover"
						:options="area"
						:props="props"
						v-model="form.selectedOptions"
					></el-cascader>
				</el-form-item>
			</el-form>
		</el-row>
		<span slot="footer" class="dialog-footer">
			<el-button type="primary" @click="postInfo">提 交</el-button>
		</span>
	</el-dialog>
</template>

<script>
import area from '@js/area'
export default {
	mixins: [$mixin],
	props: ['conf'],
	data() {
		return {
			form: {
				BankAccountName: '',
				bankAccountNumber: '',
				BankName: '',
				selectedOptions: []
			},
			props: {
				value: 'label',
				children: 'cities'
			},
			area
		}
	},
	computed: {
		filter_conf() {
			return this.conf || {}
		}
	},
	methods: {
		postInfo() {
			let condition = Object.keys(this.form).some(item => {
				return !this.form[item]
			})
			if (condition) {
				this.alert('请完善输入信息')
				return false
			}
			this.$http
				.post({
					url: 'company/updateBank',
					params: Object.assign({}, this.form, {
						province: this.form.selectedOptions[0],
						city: this.form.selectedOptions[1]
					})
				})
				.then(
					data => {
						this.alert('修改成功', () => {
							this.$set(this.filter_conf, 'centerDialogVisible', false)
							$event_bus.$emit('refreshInfo')
						})
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {}
}
</script>

<style lang="less">
.el-form-item__content {
	line-height: 1.2;
}
</style>
